/// <reference types="node" resolution-mode="require"/>
import { Dirent } from 'fs-extra';
import { ValueOf } from 'type-fest';
export interface ExplicitModification {
    prev: string;
    after: string;
    partIndex: number;
    originalPart: string;
    modifiedPart: string;
}
export declare const kProcessedFileOutcome: {
    readonly skip: "skip";
    readonly error: "error";
    readonly processed: "processed";
};
export type ProcessedFileOutcome = ValueOf<typeof kProcessedFileOutcome>;
export type ProcessedFile = {
    outcome: typeof kProcessedFileOutcome.skip;
    filepath: string;
    skipReason: string;
} | {
    outcome: typeof kProcessedFileOutcome.processed;
    filepath: string;
    explicitModifications?: ExplicitModification[];
    isModified: boolean;
    originalParts: string[];
    workingParts: string[];
} | {
    outcome: typeof kProcessedFileOutcome.error;
    filepath: string;
    error: unknown;
};
export type FileTreeTraverseHandler = (dirent: Dirent, entryPath: string) => Promise<ProcessedFile | undefined>;
export declare const kProcessCmdType: {
    readonly addJsExt: "add-js-ext";
    readonly jestToVitest: "jest-to-vitest";
};
export type ProcessCmdType = ValueOf<typeof kProcessCmdType>;
